#!/bin/bash

source .env
echo "UPDATE users set domain = '$FREESWITCH_DOMAIN'" | docker exec -i xswitch-pg psql -U xui xui
echo "UPDATE users set salt = gen_salt('md5');" | docker exec -i xswitch-pg psql -U xui xui
echo "UPDATE users set sha1 = digest(login || password || salt,'sha1');" | docker exec -i xswitch-pg psql -U xui xui
echo "UPDATE extensions set domain = '$FREESWITCH_DOMAIN'" | docker exec -i xswitch-pg psql -U xui xui
echo "UPDATE extensions set ha1 = md5(extn || ':' || domain || ':' || password)" | docker exec -i xswitch-pg psql -U xui xui
echo "UPDATE conference_rooms set realm = '$FREESWITCH_DOMAIN'" | docker exec -i xswitch-pg psql -U xui xui
echo "UPDATE meetings set realm = '$FREESWITCH_DOMAIN'" | docker exec -i xswitch-pg psql -U xui xui
echo "UPDATE groups set realm = '$FREESWITCH_DOMAIN'" | docker exec -i xswitch-pg psql -U xui xui
